package com.yunyan.business.constant;

import lombok.AllArgsConstructor;
import lombok.Getter;

@Getter
@AllArgsConstructor
public enum FinalDataStatus {
    //状态: 0-默认, 1-本年数据采集, 2-去年数据采集, 3-本年预算数据对比, 4-填报中, 6-申请审核中, 8-单位内审通过(一审) , 9-单位内审驳回(一审) , 10-财政审核通过(二审) , 11- 财政审核驳回(二审), 14-已生成报告, 16-已填公开网址
    // 审核的状态: 0-未审核, 1-申请审核, 2-一审通过, 3-一审拒绝, 4-二审通过, 5-二审拒绝
    YEAR_DATA(1, "本年数据采集"),
    LAST_DATA(2, "去年数据采集"),
    BUDGET_DATA(3, "本年预算数据对比"),
    FILL_DATA(4, "填报中未完成"),
    FILL_DATA_NO_APPLY(5, "填报中未送审"),
    //NO_AUDIT(0,"未审核"),
    APPLY_AUDIT(6,"申请审核"),
    PASS_ONE_AUDIT(8,"一审通过"),
    REJECT_ONE_AUDIT(9,"一审拒绝"),
    PASS_TWO_AUDIT(10,"二审通过"),
    REJECT_TWO_AUDIT(11,"二审拒绝"),
    GENERATE(14,"已生成报告"),
    FILL_WEBSITE(16,"已填公开网址");
    private Integer code;
    private String msg;

}
